Subject: Re: [PATCH v2 net] net: Always untag vlan-tagged traffic on input.

From: Nicolas Dichtel <[email-masked]>
Date: Mon, 29 Sep 2014 14:44:57 +0200

Le 08/08/2014 20:42, Vladislav Yasevich a écrit :
[snip]
>
> The patch attempt to fix this another way.  It moves the vlan header
> stipping code out of the vlan module and always builds it into the
> kernel network core.  This way, even if vlan is not supported on
> a virtualizatoin host, the virtual machines running on top of such
> host will still work with VLANs enabled.
After this patch (0d5501c1c828 ("net: Always untag vlan-tagged traffic on
input.")), tcpdump will not be able to display the VLAN header on input path.
Is this really intended?

Regards,
Nicolas